Difference between revisions of "Windows AIO themes"

From Gramps
Jump to: navigation, search
(See also)
 
Line 41: Line 41:
 
* [[GEPS_029:_GTK3-GObject_introspection_Conversion#GTK_3_theme|GTK 3 theme - GEPS 029: GTK3-GObject introspection Conversion]]
 
* [[GEPS_029:_GTK3-GObject_introspection_Conversion#GTK_3_theme|GTK 3 theme - GEPS 029: GTK3-GObject introspection Conversion]]
 
* [[GrampsAIO-cxfreeze-based]]
 
* [[GrampsAIO-cxfreeze-based]]
 +
* [[Addon:Themes]]
  
 
[[Category:GEPS|T]]
 
[[Category:GEPS|T]]
 
[[Category:Documentation]]
 
[[Category:Documentation]]
 
[[Category:Developers/General]]
 
[[Category:Developers/General]]

Latest revision as of 05:17, 13 February 2019

Example Dark GTK3 Theme

It is possible to change the Gramps theme on the Windows AIO.

The Gramps AIO version 4.2.6 and 5.0.0alpha3 uses Gtk 3.18, so a theme MUST be selected that supports that version (themes that are designed for a later version may not work).

One choice that provides a pretty good looking dark theme is https://www.gnome-look.org/p/1206053/ the "OlliFri Gtk 3.18 Dark Blue Gradient".

Download the theme file (often a tar.gz) and if necessary decompress it using 7-zip of similar.

The decompressed files should be stored in "C:\Users\you\.themes" (replacing 'you' with your user name) so that the final directory structure looks like:

C:\Users\you\.themes
   Ollis-Gtk-3.18-Dark-Grad
      Gtk-2.0
      Gtk-3.0
      ...

Find your AIO installation and edit the file in "C:\GrampsAIO64-4.2.6\etc\gtk-3.0\settings.ini".

Add in a line that says "gtk-theme-name = Ollis-Gtk-3.18-Dark-Grad" (or whatever your theme name is). The complete file should look like this:

[Settings]
gtk-theme-name = Ollis-Gtk-3.18-Dark-Grad
gtk-xft-antialias=1
gtk-xft-hinting=1
gtk-xft-hintstyle=hintfull
gtk-xft-rgba=rgb

Note: when you start Gramps, your console may show some "Gtk-WARNING **: Theme parsing error" messages. These are usually harmless, but if there are a lot, and your Gramps screen doesn't look right, then your theme may not be compatible with the version of Gtk Gramps AIO is using.

You can check the Gramps Gtk version by starting Gramps from the console;

Gramps -v
Gramps Settings:
----------------
 python    : 3.5.2
 gramps    : GrampsAIO64-4.2.6
 gtk++     : 3.18.9
 ...

See also